> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update tax code



## OpenAPI

````yaml patch /consumers/{consumer_id}/spend_management/tax-codes/{tax_code_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/spend_management/tax-codes/{tax_code_id}:
    patch:
      tags:
        - Spend Management
        - TaxCodes
      summary: Update tax code
      operationId: spend_management_update_tax_code
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: tax_code_id
          in: path
          required: true
          schema:
            type: string
            title: Tax Code Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaxCodeItemUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxCodeItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              examples:
                ERROR_TAX_CODE_NOT_FOUND:
                  value:
                    message: The tax code doesn't exist.
                    status: error
                    error_code: ERROR_TAX_CODE_NOT_FOUND
                ERROR_TAX_CODE_NOT_FOUND_2:
                  value:
                    message: The tax code '${tax_code_id}' doesn't exist.
                    status: error
                    error_code: ERROR_TAX_CODE_NOT_FOUND
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - spend_management
            - spend_management.tax_codes
            - '900'
            - 900.tax_codes
components:
  schemas:
    TaxCodeItemUpdate:
      properties:
        name:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Name
          description: Name or label of the tax code.
        rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Rate
          description: Tax rate applied by this code (e.g., 21.0 for 21%).
      type: object
      title: TaxCodeItemUpdate
    TaxCodeItem:
      properties:
        id:
          type: string
          title: Id
          description: Id of the tax code.
        name:
          type: string
          title: Name
          description: Name or label of the tax code.
        rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Rate
          description: Tax rate applied by this code (e.g., 21.0 for 21%).
        reversed:
          type: boolean
          title: Reversed
          description: >-
            Whether this tax code represents a reverse-charge VAT mechanism, as
            opposed to a regular tax.
          default: false
        active:
          type: boolean
          title: Active
          description: Flag indicating whether the tax code is active.
          default: true
        deductible_account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Deductible Account Number
          description: >-
            Number of the ledger account this tax code's deductible VAT is
            booked to, when known.
        payable_account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Payable Account Number
          description: >-
            Number of the ledger account this tax code's payable VAT is booked
            to, when known.
      type: object
      required:
        - id
        - name
      title: TaxCodeItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.